Upsert Kitchen Theme Periods
post
/config/sim/v2/setup/upsertKitchenThemePeriods
Updates provided fields if the Kitchen Theme Period exists; inserts a new Kitchen Theme Period if it does not.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Kitchen Theme Period upsert request body.
Root Schema : schema
Type:
Show Source
object-
effectivity:
object effectivity
Effectivity schedule for the Kitchen Theme Period.
-
hierUnitId(required):
integer
Unique hierarchy unit value of the revenue center where the Kitchen Theme Period is configured.Example:
10091 -
kitchenThemeObjNum:
integer
Object number of the Kitchen Theme.Example:
100 -
name:
object name
A group of string objects representing the name of the Kitchen Theme Period in configured languages. Required in case of inserting a new Kitchen Theme Period.
-
objectNum(required):
integer
Object number of the Kitchen Theme Period.Example:
1
Nested Schema : effectivity
Type:
objectEffectivity schedule for the Kitchen Theme Period.
Show Source
-
activeEndTime:
string
Active end time in 24-hour HH:MM format.Example:
17:00 -
activeStartTime:
string
Active start time in 24-hour HH:MM format.Example:
09:00 -
endDateTime:
string
End date and time of the effectivity. If invalid, it is set to null.Example:
2026-12-31T23:59:59 -
recurrenceDayOfWeek:
string
Minimum Length:
7Maximum Length:7A string of values 0s and 1s of length 7 representing the days of the week when the effectivity is active, starting with Sunday.Example:1111111 -
startDateTime:
string
Start date and time of the effectivity. If invalid, it is set to null.Example:
2026-01-01T00:00:00
Nested Schema : name
Type:
objectA group of string objects representing the name of the Kitchen Theme Period in configured languages. Required in case of inserting a new Kitchen Theme Period.
Example:
{
"263":"Lunch Theme Period",
"302":"Periode theme dejeuner"
}Response
Supported Media Types
- application/json
200 Response
Kitchen Theme Period updated.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value.Example:
10091 -
objectNum:
integer
Object number of the Kitchen Theme Period.Example:
1
201 Response
Kitchen Theme Period inserted.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value.Example:
10091 -
objectNum:
integer
Object number of the Kitchen Theme Period.Example:
1